Subject: Re: [PATCH V1 net-next 3/7] mlx4: In RoCE allow guests to have multiple GIDS

From: Or Gerlitz <[email-masked]>
Date: Wed, 12 Mar 2014 10:49:47 +0200

On 12/03/2014 07:00, David Miller wrote:
> I hate to be picky like this, but this second function could be improved.
>
> The first function is fine, it's named "get_*" and it really does return
> a value.
>
> But the second one, it's also named "get_*" but it doesn't return the
> stated value.  Instead, it assigns it into a structure.
>
> The return value is always zero, so I suggest you make it return void and
> adjust the name.  Perhaps "fill_in_real_sgid_index", since that states
> explicitly that the value is "filled in" to the passed ah_attr.
sure, will fix, thanks for spotting this small possible improvement